return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local angle = percent*math.pi/2
    local rr = 0.8

    page.layer.x = page.layer.x + offset

    if( percent < 0 ) then
    	page:scale(0)
    else
        page:rotate(rr * angle, 1, 0, 0)
    end
end
